package com.bipt.intelligentapplicationorchestrationservice.gpu.model.enums;

import lombok.Getter;
import org.hibernate.dialect.aggregate.DB2AggregateSupport;

@Getter
public enum ErrorCodeEnum {
    SUCCESS(200, "操作成功"),
    SYSTEM_ERROR(500, "系统错误"),

    PARAM_INVALID(400, "参数无效"),
    PARAM_MISSING(401, "缺少参数"),
    IP_FORMAT_ERROR(402, "IP地址格式错误"),
    GPU_MODEL_ERROR(403, "GPU型号格式应为[厂商]-[型号]"),

    PERMISSION_DENIED(501, "无操作权限"),

    GPU_NOT_FOUND(601, "GPU资源不存在"),

    DB_CONNECTION_FAILED(701, "数据库连接错误"),
    VALIDATION_ERROR(801,"参数校验异常" ),

    CACHE_INIT_ERROR(901, "缓存初始化失败");

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    private final int code;
    private final String message;
    ErrorCodeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public String toString() {
        return "ErrorCodeEnum{" +
                "code=" + code +
                ", message='" + message + '\''+
                '}';
    }
}
